# -*- coding: utf-8 -*-

'''
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''


import urlparse,sys

from resources.lib import onlinestream

indexer = onlinestream.indexer()

params = dict(urlparse.parse_qsl(sys.argv[2].replace('?','')))

action = params.get('action')

channels = params.get('channels')

title = params.get('title')

image = params.get('image')

station_id = params.get('station_id')

search_text = params.get('search_text')


if action == None:
    indexer.root()

elif action == 'radio_list':
    indexer.radio_list(search_text)

elif action == 'stream_list':
    indexer.stream_list(station_id, image)
    
elif action == 'track_list':
    indexer.track_list(station_id)

elif action == 'search':
    indexer.search()

